## javax.persistence.metamodel
Interface Metamodel

    public interface Metamodel

Method Summary

`

`<X> EmbeddableType<X>`

`

`embeddable(java.lang.Class<X> cls)`

`

`<X> EntityType<X>`

`

`entity(java.lang.Class<X> cls)`

`java.util.Set<EmbeddableType<?>>` `getEmbeddables()`
`java.util.Set<EntityType<?>>` `getEntities()`
`java.util.Set<ManagedType<?>>` `getManagedTypes()`

`

`<X> ManagedType<X>`

`

`managedType(java.lang.Class<X> cls)`

Method Detail

### entity

    <X> EntityType<X> entity(java.lang.Class<X> cls)

### managedType

    <X> ManagedType<X> managedType(java.lang.Class<X> cls)

### embeddable

    <X> EmbeddableType<X> embeddable(java.lang.Class<X> cls)

### getManagedTypes

    java.util.Set<ManagedType<?>> getManagedTypes()

### getEntities

    java.util.Set<EntityType<?>> getEntities()

### getEmbeddables

    java.util.Set<EmbeddableType<?>> getEmbeddables()